Folks.Debug.print_key_value_pairs – folks Reference Manual

# print_key_value_pairs

## Description:

public void print_key_value_pairs (string domain, LogLevelFlags level, ...)

Print a set of key–value pairs in a table. The width of the key column is automatically set to the width of the longest key. The keys and values must be provided as a null-delimited list of alternating key–value varargs. Values may be null but keys may not.

This is intended to be used by backend libraries only.

The table will be printed at the current indentation level plus one.

## Parameters:

domain | The debug domain name
level | A set of log level flags for the message
... | Alternating keys and values, terminated with null

## Since:

0.5.1